Note
Access to this page requires authorization. You can try signing in or .
Access to this page requires authorization. You can try .
Virtual Machine Scale Sets - Convert To Single Placement Group
- Service:
- Compute
- API Version:
- 2026-03-01
Converts SinglePlacementGroup property to false for a existing virtual machine scale set.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/virtualMachineScaleSets/{vmScaleSetName}/convertToSinglePlacementGroup?api-version=2026-03-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
resourceGroupName
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
subscriptionId
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
vmScaleSetName
|
path | True |
string |
The name of the VM scale set. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Request Body
| Name | Type | Description |
|---|---|---|
| activePlacementGroupId |
string |
Id of the placement group in which you want future virtual machine instances to be placed. To query placement group Id, please use Virtual Machine Scale Set VMs - Get API. If not provided, the platform will choose one with maximum number of virtual machine instances. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
| VirtualMachineScaleSet_ConvertToSinglePlacementGroup_MaximumSet_Gen |
| VirtualMachineScaleSet_ConvertToSinglePlacementGroup_MinimumSet_Gen |
VirtualMachineScaleSet_ConvertToSinglePlacementGroup_MaximumSet_Gen
Sample request
POST https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/rgcompute/providers/Microsoft.Compute/virtualMachineScaleSets/aaaaaaaaaaaaaaaaaaaaaaaaaaaaaa/convertToSinglePlacementGroup?api-version=2026-03-01
{
"activePlacementGroupId": "aaaaaaaaaaaaaaaaaaaaaaaaaaa"
}
Sample response
- Status code:
- 200
VirtualMachineScaleSet_ConvertToSinglePlacementGroup_MinimumSet_Gen
Sample request
POST https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/rgcompute/providers/Microsoft.Compute/virtualMachineScaleSets/aaaaaaaaaaaaa/convertToSinglePlacementGroup?api-version=2026-03-01
{}
Sample response
- Status code:
- 200
Definitions
| Name | Description |
|---|---|
| ApiError |
Api error. |
| ApiErrorBase |
Api error base. |
| CloudError |
An error response from the Compute service. |
| InnerError |
Inner error details. |
| VMScaleSetConvertToSinglePlacementGroupInput |
ApiError
Api error.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| details |
The Api error details |
|
| innererror |
The Api inner error |
|
| message |
string |
The error message. |
| target |
string |
The target of the particular error. |
ApiErrorBase
Api error base.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| message |
string |
The error message. |
| target |
string |
The target of the particular error. |
CloudError
An error response from the Compute service.
| Name | Type | Description |
|---|---|---|
| error |
Api error. |
InnerError
Inner error details.
| Name | Type | Description |
|---|---|---|
| errordetail |
string |
The internal error message or exception dump. |
| exceptiontype |
string |
The exception type. |
VMScaleSetConvertToSinglePlacementGroupInput
| Name | Type | Description |
|---|---|---|
| activePlacementGroupId |
string |
Id of the placement group in which you want future virtual machine instances to be placed. To query placement group Id, please use Virtual Machine Scale Set VMs - Get API. If not provided, the platform will choose one with maximum number of virtual machine instances. |
